#ifndef XFXELEMVISUALSTATE_H
#define XFXELEMVISUALSTATE_H

#include "xasset.h"

#include <QColor>
#include <QSizeF>

class XFxElemVisualState : public XAsset
{
public:
    explicit XFxElemVisualState();
    ~XFxElemVisualState();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    QColor mColor;
    float mRotationDelta;
    float mRotationTotal;
    QSizeF mSize;
    float mScale;
};

#endif // XFXELEMVISUALSTATE_H
